package com.slibra.monitor.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

/**
 * Properties specific to Trade.
 * <p>
 * Properties are configured in the {@code application.yml} file.
 */
@Component
@ConfigurationProperties(prefix = "application", ignoreUnknownFields = false)
public class ApplicationProperties {

    private final AliCloud aliCloud = new AliCloud();
    public AliCloud getAliCloud() {
        return aliCloud;
    }
    @Data
    public static class AliCloud {

        private Boolean enableSms;
        private String accessKeyId;
        private String accessKeySecret;
        private String signName;
        private String templateDeviceErr;
        private String templateMysqlErr;
        private String templateRedisErr;
        private String templateBigModelErr;

    }






}
